Fibre Channel (SAN)

Reply
New Contributor
Posts: 2
Registered: ‎08-12-2011

error after running firmware update and FPGA update.

After flashing the Blade Brocade 8gb switch from 6.3.1b to 6.3.2b I ran FPGA update and got the message below, has anyone seen this before or has any ideas on what is going on.

Thanks for any help you can give.

The current FPGA version is 88.                                         
                                                                        

FPGA version 97 is available.                                           
                                                                        
You should update the FPGA to the new version.                          
                                                                        
Warning: FPGA update will disrupt traffic flowing through this          
switch.                                                                 
                                                                        
It will also cause the switch to restart.                               
                                                                        
Do you want to update the FPGA to version 97? y                     
                                                                        
Please avoid powering off the switch during programming.                
                                                                        
When programming completes, the switch will reset itself.               
                                                                        
                                                                        
                                                                        
JTAG programming file /fabos/share/63-1000427.xsvf                      
                                                                        
                                                                        
                                                                        
.ERROR:  TDO mismatch                                                   
                                                                        
ERROR at or near XSVF command #8. See line #8 in the XSVF               
ASCII file.                                                             
                                                                        
Programmed /fabos/share/63-1000427.xsvf file successfully             

New Contributor
Posts: 2
Registered: ‎12-13-2011

Re: error after running firmware update and FPGA update.

Hello. This is correct behavior after upgrading to 6.3.1b. Once FPGA is updated, this message is no longer shown.

http://www-947.ibm.com/support/entry/portal/docdisplay?lndocid=MIGR-5086354

New Contributor
Posts: 2
Registered: ‎08-12-2011

Re: error after running firmware update and FPGA update.

Call, IBM 1800 IBM Serv and ask for the switch to be replaced. There is a  retain tip for this under doc ID MIGR-5088704.

Some Brocade switches had a different revision of hardware that gave this error.

New Contributor
Posts: 2
Registered: ‎12-13-2011

Re: error after running firmware update and FPGA update.

Sorry I misunderstood failure symptom. The FCSMs I have updated were having FPGA 0x96 and no farmware failure occurred. This failure seems to occur if FPGA is too old version.

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.